import { PlatformAccessory } from "homebridge";
import { IActivity } from "../models/config";
import { Platform } from "../platform";
import { ActivityService } from "../services/activityService";
import { CommandService } from "../services/commandService";
import { VolumeService } from "../services/volumeService";
/**
 * Enum describing remote key presses from homebridge.
 */
export declare enum RemoteKey {
    REWIND = 0,
    FAST_FORWARD = 1,
    NEXT_TRACK = 2,
    PREVIOUS_TRACK = 3,
    ARROW_UP = 4,
    ARROW_DOWN = 5,
    ARROW_LEFT = 6,
    ARROW_RIGHT = 7,
    SELECT = 8,
    BACK = 9,
    EXIT = 10,
    PLAY_PAUSE = 11,
    INFORMATION = 15
}
export declare class ControlUnit {
    private readonly _platform;
    private readonly _accessory;
    private _activityService;
    private _commandService;
    private _volumeService;
    private _activities;
    constructor(_platform: Platform, _accessory: PlatformAccessory, _activityService: ActivityService, _commandService: CommandService, _volumeService: VolumeService, _activities: Array<IActivity>);
    /*************
     *
     * Tv Service
     *
     *************/
    /**
     * Configure television service
     */
    private configureTvService;
    /**
     * Event handler for SET active characteristic
     */
    private onSetAccessoryActive;
    /**
     * Event handler for GET active characteristic
     */
    private onGetAccessoryActive;
    /**
     * Event handler for SET remote key
     */
    private onSetRemoteKey;
    /**
     * Event handler for SET active identifier characteristic
     */
    private onSetActiveIdentifier;
    /**
     * Event handler for GET active identifier characteristic
     */
    private onGetActiveIdentifier;
    /******************
     *
     * Speaker Service
     *
     *****************/
    /**
     * Configure Speaker Service
     */
    private configureTvSpeakerService;
    /**
     * Event handler for SET volume characteristic
     */
    private onSetVolumeSelector;
    /*****************
     *
     * Input services
     *
     *****************/
    /**
     * Configure input service
     */
    private configureInputSourceService;
}
