import { Logging } from "homebridge";
import { IConfig } from "../models/config";
import { HarmonyDevice } from "../models/harmonyDevice";
export declare class HarmonyDataProvider {
    private _config;
    private _log;
    private _hubs;
    private _deviceConfigByName;
    constructor(_config: IConfig, _log: Logging);
    powerOnDevices(devices: Array<HarmonyDevice>): Promise<void>;
    powerOffDevices(devices: Array<HarmonyDevice>): Promise<void>;
    sendCommand(commandName: string, harmonyDevice: HarmonyDevice): Promise<void>;
    /**
     * Get the IDevice by name.
     * @param deviceName The device to retrieve.
     */
    getDeviceByName(deviceName: string): HarmonyDevice;
    private connect;
    private emitInfo;
    private getHubByDevice;
    private powerOnDevice;
    private powerOffDevice;
    private getOverrideCommand;
}
