"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StateDataProvider = void 0;
const tsyringe_1 = require("tsyringe");
let StateDataProvider = class StateDataProvider {
    constructor() {
        this._states = {};
    }
    updateState(activity, controlUnitName) {
        const oldState = this._states[controlUnitName];
        this._states[controlUnitName] = {
            currentActivity: activity,
            lastActivity: oldState === null || oldState === void 0 ? void 0 : oldState.lastActivity,
        };
    }
    deactivateState(controlUnitName) {
        const oldState = this._states[controlUnitName];
        this._states[controlUnitName] = {
            currentActivity: undefined,
            lastActivity: oldState === null || oldState === void 0 ? void 0 : oldState.currentActivity,
        };
    }
    removeState(controlUnitName) {
        this._states[controlUnitName] = undefined;
    }
    getState(controlUnitName) {
        if (!this._states[controlUnitName]) {
            return undefined;
        }
        return this._states[controlUnitName];
    }
    get states() {
        return this._states;
    }
};
StateDataProvider = __decorate([
    tsyringe_1.injectable()
], StateDataProvider);
exports.StateDataProvider = StateDataProvider;
//# sourceMappingURL=stateDataProvider.js.map