/// <reference types="node" />
import { HarmonyDevice } from "./harmonyDevice";
import { ICommand } from "./device";
import { EventEmitter } from "events";
export declare class HarmonyHub extends EventEmitter {
    private _devices;
    private _ip;
    private _harmony;
    private _log;
    private _name;
    constructor(hubName: string, ipAddress: string, log: any);
    get devices(): {
        [deviceName: string]: HarmonyDevice;
    };
    get hubName(): string;
    getDeviceByName: (deviceName: string) => HarmonyDevice;
    initialize: () => Promise<void>;
    private connect;
    sendCommand(command: ICommand): Promise<void>;
}
