import "reflect-metadata";
import { API, Characteristic, DynamicPlatformPlugin, Logger, PlatformAccessory, PlatformConfig, Service } from "homebridge";
import { IConfig } from "./models/config";
export declare class Platform implements DynamicPlatformPlugin {
    readonly log: Logger;
    readonly api: API;
    constructor(log: Logger, config: PlatformConfig, api: API);
    readonly Service: typeof Service;
    readonly Characteristic: typeof Characteristic;
    readonly accessories: PlatformAccessory[];
    config: IConfig;
    /**
     * Discover new control unit accessories
     * @param dataProvider
     */
    private discoverControlUnitAccessories;
    /**
     * Discover new device button accessories
     * @param dataProvider
     */
    private discoverDeviceButtonAccessories;
    /**
     * Discover new sequence accessories
     * @param dataProvider
     */
    private discoverSequenceAccessories;
    private pruneAccessories;
    configureAccessory(accessory: PlatformAccessory<Record<string, any>>): void;
    private register;
}
